@page "/Statistics/SurvivalRate"
@inject Microsoft.Extensions.Localization.IStringLocalizer<App> Localize
@inject IJSRuntime JSRuntime
@using BioMap
@using ChartJs.Blazor.Common.Enums
@using ChartJs.Blazor.Common.Axes
@using ChartJs.Blazor.Common.Axes.Ticks
@using ChartJs.Blazor.Common
@using ChartJs.Blazor.Common.Handlers
@using ChartJs.Blazor.Common.Time
@using ChartJs.Blazor.LineChart
@using ChartJs.Blazor.BarChart
@using ChartJs.Blazor.BarChart.Axes
@inherits ProtectedPage

<div class="box">
  <div class="row header">
    <FilterSettings FilteringTarget="@Filters.FilteringTargetEnum.Catches" />
  </div>
  <div class="row content">
    <h1>@Localize["Survival rate"]</h1>
    <Row>
      <Column>
        <Chart @ref="_chartJsOverTime" Config="@_configOverTime" Width="600" Height="300" />
      </Column>
    </Row>
    <Row>
      <Column>
        <TableFromChart @ref="_tableFromChartOverTime" RowLabel="@Localize["Time"]" _config="@_configOverTime" />
      </Column>
    </Row>
    <Row>
      <Column>
        <Card>
          <CardHeader>
            <CardTitle>@Localize["Explanation"]</CardTitle>
          </CardHeader>
          <CardBody>
            <CardText>
              <p>@Localize["SurvivalRate.Explanation"]</p>
            </CardText>
          </CardBody>
        </Card>
      </Column>
    </Row>
  </div>
</div>
